<?php
/**
 * Theme Customizer Controls
 *
 * @package Legacy Wellness Coach
 */

if ( ! function_exists( 'legacy_wellness_coach_customizer_global_color_setting_register' ) ) :
function legacy_wellness_coach_customizer_global_color_setting_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'legacy_wellness_coach_global_color_settings',
        array (
            'priority'      => 40,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Global Color Settings', 'legacy-wellness-coach' )
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'legacy_wellness_coach_theme_color_settings', 
		array(
		    'sanitize_callback' => 'legacy_wellness_coach_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Legacy_Wellness_Coach_Title_Info_Control( $wp_customize, 'legacy_wellness_coach_theme_color_settings', 
		array(
		    'label'       => esc_html__( 'Global Color Settings', 'legacy-wellness-coach' ),
		    'section'     => 'legacy_wellness_coach_global_color_settings',
		    'type'        => 'legacy-wellness-coach-title',
		    'settings'    => 'legacy_wellness_coach_theme_color_settings',
		) 
	));

	$wp_customize->add_setting('legacy_wellness_coach_global_color1',
        array(
            'type' => 'theme_mod',
            'default'           => '#01464B',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'legacy_wellness_coach_global_color1',
            array(
                'label'      => esc_html__( 'Global Color1', 'legacy-wellness-coach' ),
                'section'    => 'legacy_wellness_coach_global_color_settings',
                'settings'   => 'legacy_wellness_coach_global_color1',
            )
        )
    );   

}
endif;

add_action( 'customize_register', 'legacy_wellness_coach_customizer_global_color_setting_register' );